Subject: RE: [voipeer] RE: [Enum] Re: [Sip] SIP AoR, tel and ENUM

From: "James M. Polk" <[email-masked]>
Date: Tue, 06 Dec 2005 19:11:22 -0600

Mike

This seems to be creeping into more than one WG at about the same time.

ISP used to be (roughly) the company you or you employer bought service 
from to gain access to the Internet.  Now that is a little too generic for 
a lot of people's tastes as there are different SPs that an individual many 
have now that weren't available not so long ago.  Hence the recent push to 
separate them somehow.

Application Providers, to me, include a Vonage for Voice services, and a 
Yahoo for IM.

Service Providers or Internet Providers, to me, connect one to the Internet 
for L3 access

Access Providers, to me, are the organizations like the DSL and Cable and 
WiFi connectivity providers.

Often times, to me, the Internet Providers and the Access Providers are 
either the same company - while perhaps different divisions, but they can 
be totally different companies too.

The separation I'm seeing is between the organization that gives you you 
Internet access and the organizations that provider you with all the 
services required for a particular application - such as Voice or Video.

Everything used to be best effort, and services were either at your device 
or at the provider's server.  Now there's an overlay at layer 7 (typically) 
and we're struggling with how to name and describe it.

At 06:23 PM 12/6/2005 -0500, Michael Hammer \(mhammer\) wrote:
>My looking glass is smudged today.
>
>What does one call a provider of service?
>I don't understand the aversion to service provider.
>
>I thought it was only the "carrier" word that invoked regulatory burdens
>(or PATS!).  I'd rather leave legal word games to lawyers and lobbyists.
>
>Mike
>
>
> > -----Original Message-----
> > From: Henry Sinnreich [mailto:[email-masked]]
> > Sent: Tuesday, December 06, 2005 5:30 PM
> > To: Michael Hammer (mhammer); 'Thilo Salmon'; 'Klaus Darilion'
> > Cc: [email-masked]; [email-masked]; [email-masked];
> > 'Stastny Richard'
> > Subject: RE: [voipeer] RE: [Enum] Re: [Sip] SIP AoR, tel and ENUM
> >
> > Sorry for nitpicking:
> >
> > >A provider is a provider.
> >
> > A provider is a business model and att/SBC may differ from
> > Google who uses a different business model (which is more
> > significant measured in $$$?).
> >
> > Didn't we agree to use the term "Internet domain owner" (we
> > could shorten to IDOM or such)?
> >
> > Internet domains are well defined in the IETF.
> > Business models for VoIP are better suited for other
> > organizations, consortia or innovators who work to disrupt them :-)
> >
> > Thanks, Henry
> >
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of Michael Hammer
> > (mhammer)
> > Sent: Tuesday, December 06, 2005 3:36 PM
> > To: Thilo Salmon; Klaus Darilion
> > Cc: [email-masked]; [email-masked]; [email-masked];
> > Stastny Richard
> > Subject: [voipeer] RE: [Enum] Re: [Sip] SIP AoR, tel and ENUM
> >
> > I am having trouble parsing these statements.
> >
> > A provider is a provider.  I used the terms ingress and
> > egress to indicate some server that sits on the edge of a
> > provider's network and does peering to some other provider.
> > The usage below seems to mix egress with originating being
> > the network where the caller is attached.
> >
> > I was noting that the called party terminal and the
> > interconnect points were different hosts and therefore may
> > have different identities.  To keep maximum flexibility, the
> > format of those identities would need to be fully under the
> > control of the domain of each provider.  However, conflating
> > all that into a single URI in the Request-URI seemed
> > constraining to me.  Having three URIs in separate headers
> > seemed the most flexible.
> >
> > Splitting.  I don't understand what got split or how.  ENUM
> > -- Tel:URI in, Point-of-interconnect URI out.  Put in Route
> > header.  I only suggested that there might be two route
> > headers because the terminating provider would indicate in
> > ENUM, to get to this end-user, go to this entrance first.
> > But, to get to that entrance, the originating provider needs
> > to determine what the corresponding exit point is from his
> > network, i.e. another Route header.  The format and content
> > of that URI is up to each provider.  The advertised entrance
> > point is I think by definition the (Inter-) Carrier ENUM.
> > The internal determination of the exit point could be termed
> > (Intra-) Carrier ENUM.  Maybe peering is concerned only with
> > the inter-carrier aspect.
> >
> > The Request-URI could be a normalized public identity of the
> > user totally independent of interconnect naming schemes.  I
> > was just teasing out what are the assumptions and constraints
> > in the original email.
> >
> > Mike
> >
> >
> > > -----Original Message-----
> > > From: Thilo Salmon [mailto:[email-masked]]
> > > Sent: Tuesday, December 06, 2005 2:06 PM
> > > To: Klaus Darilion
> > > Cc: Michael Hammer (mhammer); [email-masked];
> > [email-masked];
> > > [email-masked]; Stastny Richard
> > > Subject: Re: [Enum] Re: [Sip] SIP AoR, tel and ENUM
> > >
> > > Richard, Klaus, et al.
> > >
> > > Apparently, I have missed an important developlement lately.
> > >
> > > > What is the benefit of splitting the ENUM result (the SIP
> > > URI) into a
> > > > Route header and into a request URI?
> > > [...]
> > > > IMO there should be no semantic for the internal routing
> > > (the routing
> > > > from the main proxy to the egress proxy). This should be
> > > out of scope
> > > > of all WGs. Also the internal routing of the ingress
> > > provider should
> > > > be out of scope. The ingress provider should have SIP URI
> > > which can be
> > > > used to address its customers.
> > >
> > > I absolutely second that statement. If for any reason (we all have
> > > enough a vivid enough phantasy to imagine a good reason, I
> > suppose) an
> > > ingress provider wishes to feed a different set of SIP URIs to each
> > > and every of his egress partners, he should not be stripped of this
> > > option.
> > > The scenario I have in mind is one in which an ingress provider
> > > chooses to encrypt the user part of all his SIP URIs with a key
> > > uniquely assigns to his egress partner.
> > >
> > > Just as Klaus I feel this complicates things and takes
> > authority over
> > > internal adressing away from the ingress provider for no reason
> > > apparent (to me).
> > >
> > > Thilo
> > >
> >
> > ______________________________________________________________
> > ______________
> > _
> > List Archive: http://darkwing.uoregon.edu/~llynch/voipeer/
> > User Tools: http://darkwing.uoregon.edu/~llynch/voipeer.html
> >
> >
>
>_____________________________________________________________________________
>List Archive: http://darkwing.uoregon.edu/~llynch/voipeer/
>User Tools: http://darkwing.uoregon.edu/~llynch/voipeer.html

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Henry Sinnreich" <[email-masked]>
Date: Wed, 7 Dec 2005 09:11:53 -0600

James,

> Now there's an overlay at layer 7 (typically) and we're struggling 
> with how to name and describe it.

How about the following business models for domain administrators:

- Individuals (Henry's residential network)
- Enterprises (the Cisco IT network, including VoIP)
- "Web (add 2.0)" companies: AOL, Apple, IBM, Google, Microsoft, Yahoo,
- Facility based "Carriers" (ATT, Verizon)
- Government, military,
- VoIP and IM companies: FWD, Skype, Vonage.

The last ones (VoIP and IM companies) carry most of the public VoIP traffic
anyway, while the residential network domain may be clearly the preference
of some users.

> I don't understand the aversion to service provider.
No need to elaborate :-)
Besides, I just happen to like my own network domain better!

The above is only another attempt to stay out of business/legal models in
this IETF WG. Just say: Network Domains and/or Network Administrators.

Thanks, Henry

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of James M. Polk
Sent: Tuesday, December 06, 2005 7:11 PM
To: Michael Hammer (mhammer); [email-masked]; Thilo Salmon; Klaus Darilion
Cc: [email-masked]; [email-masked]; [email-masked]; Stastny Richard
Subject: RE: [voipeer] RE: [Enum] Re: [Sip] SIP AoR, tel and ENUM

Mike

> > > internal adressing away from the ingress provider for no reason
____________________________________________________________________________
_
List Archive: http://darkwing.uoregon.edu/~llynch/voipeer/
User Tools: http://darkwing.uoregon.edu/~llynch/voipeer.html